

// sounds.c

#include "doomdef.h"
#include "sounds.h"

// Music info

musicinfo_t S_music[] =
{
	{ "MUS_E1M1", 0 }, // 1-1
	{ "MUS_E1M2", 0 },
	{ "MUS_E1M3", 0 },
	{ "MUS_E1M4", 0 },
	{ "MUS_E1M5", 0 },
	{ "MUS_E1M6", 0 },
	{ "MUS_E1M7", 0 },
	{ "MUS_E1M8", 0 },
	{ "MUS_E1M9", 0 },

	{ "MUS_E2M1", 0 }, // 2-1
	{ "MUS_E2M2", 0 },
	{ "MUS_E2M3", 0 },
	{ "MUS_E2M4", 0 },
	{ "MUS_E1M4", 0 },
	{ "MUS_E2M6", 0 },
	{ "MUS_E2M7", 0 },
	{ "MUS_E2M8", 0 },
	{ "MUS_E2M9", 0 },

	{ "MUS_E1M1", 0 }, // 3-1
	{ "MUS_E3M2", 0 },
	{ "MUS_E3M3", 0 },
	{ "MUS_E1M6", 0 },
	{ "MUS_E1M3", 0 },
	{ "MUS_E1M2", 0 },
	{ "MUS_E1M5", 0 },
	{ "MUS_E1M9", 0 },
	{ "MUS_E2M6", 0 },

	{ "MUS_E1M6", 0 }, // 4-1
	{ "MUS_E1M2", 0 },
	{ "MUS_E1M3", 0 },
	{ "MUS_E1M4", 0 },
	{ "MUS_E1M5", 0 },
	{ "MUS_E1M1", 0 },
	{ "MUS_E1M7", 0 },
	{ "MUS_E1M8", 0 },
	{ "MUS_E1M9", 0 },

	{ "MUS_E2M1", 0 }, // 5-1
	{ "MUS_E2M2", 0 },
	{ "MUS_E2M3", 0 },
	{ "MUS_E2M4", 0 },
	{ "MUS_E1M4", 0 },
	{ "MUS_E2M6", 0 },
	{ "MUS_E2M7", 0 },
	{ "MUS_E2M8", 0 },
	{ "MUS_E2M9", 0 },

	{ "MUS_E3M2", 0 }, // 6-1
	{ "MUS_E3M3", 0 }, // 6-2
	{ "MUS_E1M6", 0 }, // 6-3

	{ "MUS_TITL", 0 },
	{ "MUS_INTR", 0 },
	{ "MUS_CPTD", 0 }
};

// Sound info

#define SFX_NPC(name, priority, channels) \
	{ name, NULL, priority, -1, NULL, 0, channels, 0}

sfxinfo_t S_sfx[] =
{
	{ {0,0,0,0,0,0,0,0}, NULL, 0, -1, NULL, 0, 0, 0 },
	SFX_NPC("gldhit", 32, 2),
	SFX_NPC("gntful", 32, -1),
	SFX_NPC("gnthit", 32, -1),
	SFX_NPC("gntpow", 32, -1),
	SFX_NPC("gntact", 32, -1),
	SFX_NPC("gntuse", 32, -1),
	SFX_NPC("phosht", 32, 2),
	SFX_NPC("phohit", 32, -1),
	{ "phopow", &S_sfx[sfx_hedat1], 32, -1, NULL, 0, 1, 0 },
	SFX_NPC("lobsht", 20, 2),
	SFX_NPC("lobhit", 20, 2),
	SFX_NPC("lobpow", 20, 2),
	SFX_NPC("hrnsht", 32, 2),
	SFX_NPC("hrnhit", 32, 2),
	SFX_NPC("hrnpow", 32, 2),
	SFX_NPC("ramphit", 32, 2),
	SFX_NPC("ramrain", 10, 2),
	SFX_NPC("bowsht", 32, 2),
	SFX_NPC("stfhit", 32, 2),
	SFX_NPC("stfpow", 32, 2),
	SFX_NPC("stfcrk", 32, 2),
	SFX_NPC("impsit", 32, 2),
	SFX_NPC("impat1", 32, 2),
	SFX_NPC("impat2", 32, 2),
	SFX_NPC("impdth", 80, 2),
	{ "impact", &S_sfx[sfx_impsit], 20, -1, NULL, 0, 2, 0 },
	SFX_NPC("imppai", 32, 2),
	SFX_NPC("mumsit", 32, 2),
	SFX_NPC("mumat1", 32, 2),
	SFX_NPC("mumat2", 32, 2),
	SFX_NPC("mumdth", 80, 2),
	{ "mumact", &S_sfx[sfx_mumsit], 20, -1, NULL, 0, 2, 0 },
	SFX_NPC("mumpai", 32, 2),
	SFX_NPC("mumhed", 32, 2),
	SFX_NPC("bstsit", 32, 2),
	SFX_NPC("bstatk", 32, 2),
	SFX_NPC("bstdth", 80, 2),
	SFX_NPC("bstact", 20, 2),
	SFX_NPC("bstpai", 32, 2),
	SFX_NPC("clksit", 32, 2),
	SFX_NPC("clkatk", 32, 2),
	SFX_NPC("clkdth", 80, 2),
	SFX_NPC("clkact", 20, 2),
	SFX_NPC("clkpai", 32, 2),
	SFX_NPC("snksit", 32, 2),
	SFX_NPC("snkatk", 32, 2),
	SFX_NPC("snkdth", 80, 2),
	SFX_NPC("snkact", 20, 2),
	SFX_NPC("snkpai", 32, 2),
	SFX_NPC("kgtsit", 32, 2),
	SFX_NPC("kgtatk", 32, 2),
	SFX_NPC("kgtat2", 32, 2),
	SFX_NPC("kgtdth", 80, 2),
	{ "kgtact", &S_sfx[sfx_kgtsit], 20, -1, NULL, 0, 2, 0 },
	SFX_NPC("kgtpai", 32, 2),
	SFX_NPC("wizsit", 32, 2),
	SFX_NPC("wizatk", 32, 2),
	SFX_NPC("wizdth", 80, 2),
	SFX_NPC("wizact", 20, 2),
	SFX_NPC("wizpai", 32, 2),
	SFX_NPC("minsit", 32, 2),
	SFX_NPC("minat1", 32, 2),
	SFX_NPC("minat2", 32, 2),
	SFX_NPC("minat3", 32, 2),
	SFX_NPC("mindth", 80, 2),
	SFX_NPC("minact", 20, 2),
	SFX_NPC("minpai", 32, 2),
	SFX_NPC("hedsit", 32, 2),
	SFX_NPC("hedat1", 32, 2),
	SFX_NPC("hedat2", 32, 2),
	SFX_NPC("hedat3", 32, 2),
	SFX_NPC("heddth", 80, 2),
	SFX_NPC("hedact", 20, 2),
	SFX_NPC("hedpai", 32, 2),
	SFX_NPC("sorzap", 32, 2),
	SFX_NPC("sorrise", 32, 2),
	SFX_NPC("sorsit", 200, 2),
	SFX_NPC("soratk", 32, 2),
	SFX_NPC("soract", 200, 2),
	SFX_NPC("sorpai", 200, 2),
	SFX_NPC("sordsph", 200, 2),
	SFX_NPC("sordexp", 200, 2),
	SFX_NPC("sordbon", 200, 2),
	{ "sbtsit", &S_sfx[sfx_bstsit], 32, -1, NULL, 0, 2, 0 },
	{ "sbtatk", &S_sfx[sfx_bstatk], 32, -1, NULL, 0, 2, 0 },
	SFX_NPC("sbtdth", 80, 2),
	SFX_NPC("sbtact", 20, 2),
	SFX_NPC("sbtpai", 32, 2),
	SFX_NPC("plroof", 32, 2),
	SFX_NPC("plrpai", 32, 2),
 	SFX_NPC("plrdth", 80, 2),
	SFX_NPC("gibdth", 100, 2),
	SFX_NPC("plrwdth", 80, 2),
	SFX_NPC("plrcdth", 100, 2),
	SFX_NPC("itemup", 32, 2),
	SFX_NPC("wpnup", 32, 2),
	SFX_NPC("telept", 50, 2),
	SFX_NPC("doropn", 40, 2),
	SFX_NPC("dorcls", 40, 2),
	SFX_NPC("dormov", 40, 2),
	SFX_NPC("artiup", 32, 2),
	SFX_NPC("switch", 40, 2),
	SFX_NPC("pstart", 40, 2),
	SFX_NPC("pstop", 40, 2),
	SFX_NPC("stnmov", 40, 2),
	SFX_NPC("chicpai", 32, 2),
	SFX_NPC("chicatk", 32, 2),
	SFX_NPC("chicdth", 40, 2),
	SFX_NPC("chicact", 32, 2),
	SFX_NPC("chicpk1", 32, 2),
	SFX_NPC("chicpk2", 32, 2),
	SFX_NPC("chicpk3", 32, 2),
	SFX_NPC("keyup", 50, 2),
	SFX_NPC("ripslop", 16, 2),
	SFX_NPC("newpod", 16, -1),
	SFX_NPC("podexp", 40, -1),
	SFX_NPC("bounce", 16, 2),
	{ "volsht", &S_sfx[sfx_bstatk], 16, -1, NULL, 0, 2, 0 },
	{ "volhit", &S_sfx[sfx_lobhit], 16, -1, NULL, 0, 2, 0 },
	SFX_NPC("burn", 10, 2),
	SFX_NPC("splash", 10, 1),
	SFX_NPC("gloop", 10, 2),
	SFX_NPC("respawn", 10, 1),
	SFX_NPC("blssht", 32, 2),
	SFX_NPC("blshit", 32, 2),
	SFX_NPC("chat", 100, 1),
	SFX_NPC("artiuse", 32, 1),
	SFX_NPC("gfrag", 100, 1),
	SFX_NPC("waterfl", 16, 2),

	// Monophonic sounds

	SFX_NPC("wind", 16, 1),
	SFX_NPC("amb1", 1, 1),
	SFX_NPC("amb2", 1, 1),
	SFX_NPC("amb3", 1, 1),
	SFX_NPC("amb4", 1, 1),
	SFX_NPC("amb5", 1, 1),
	SFX_NPC("amb6", 1, 1),
	SFX_NPC("amb7", 1, 1),
	SFX_NPC("amb8", 1, 1),
	SFX_NPC("amb9", 1, 1),
	SFX_NPC("amb10", 1, 1),
	SFX_NPC("amb11", 1, 0)
};
